Skip to main content
DELETE
/
canvases
/
{canvas_token}
Delete canvas
curl --request DELETE \
  --url https://api.vantage.sh/v2/canvases/{canvas_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "cnvs_abcd1234567890",
  "title": "Weekly Spend by Team",
  "prompt": "<string>",
  "saved": true,
  "workspace_token": "wrkspc_abcd1234567890",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "data": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

canvas_token
string
required

Response

Canvas model

token
string
required
Example:

"cnvs_abcd1234567890"

title
string
required

The title of the Canvas.

Example:

"Weekly Spend by Team"

status
enum<string>
required

The status of the Canvas.

Available options:
draft,
published
prompt
string
required

The prompt used to generate the Canvas.

saved
boolean
required

Whether the Canvas has been saved.

workspace_token
string
required

The token for the Workspace the Canvas belongs to.

Example:

"wrkspc_abcd1234567890"

created_at
string
required

The date and time, in UTC, the Canvas was created. ISO 8601 Formatted.

Example:

"2024-01-01T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Canvas was last updated. ISO 8601 Formatted.

Example:

"2024-01-01T00:00:00Z"

data
object

The structured table data of the Canvas.